Name:	    GeoIP
Version:    1.2.2
Summary:    GeoIP is a C library find what country an IP address or hostname originates from.
Release:    1
Group:	    System Environment/Libraries
URL:	    http://www.maxmind.com/app/c
Vendor:	    Maxmind
Source0:    http://www.maxmind.com/download/geoip/api/c/GeoIP-%{version}.tar.gz
License:    GPL
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%prep
%setup -q

%build
%configure
make
make check

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
# Fixup permissions on shared libraries so that findreqs will work right.
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%attr(0755,root,root) %{_libdir}/*.so.*.*
%{_bindir}/*
%{_sysconfdir}/*
%{_includedir}/*
%dir %{_datadir}/GeoIP
%{_datadir}/GeoIP/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/*/*

%changelog
* Thu Feb 27 2003 Ryan Weaver <ryanw@falsehope.com>
- Initial RPM Build

